
.choiceList {
    position: absolute;
    width: 24.06vw;
    padding: 28px 2px 1px 1px;
    right: 0;
    display: none;
    align-items: flex-end;
    justify-content: flex-start;
    pointer-events: none;
}


.list {
    display: flex;
    flex-flow: column;
    align-items: flex-end;
    justify-content: flex-start;
    margin-left: 35%;
}

.form-check-input[type=radio] {
    border-radius: 4px;
    border: none;
    width: 2.7rem;
    height: 0.8rem;
    margin-top: 0.15rem;
}

.form-check-outerBox:hover:has(> .form-check-input:not(:checked)) > :is(.form-check-innerBox, .form-check-input) {
    background-color: rgb(230, 230, 230);
}

.form-check-input:checked[type=radio] {
    background-image: none;
    background-color: #fe019a;
}

.form-check-innerBox {
    position: absolute;
    width: 2rem;
    height: 0.4rem;
    margin-top: 0.35rem;
    margin-left: 0.65rem;
    border-radius: 4px;
    background-color: rgb(255, 255, 255);
    pointer-events: none;
    z-index: 200;
}

.form-check-outerBox:active:has(> .form-check-input:checked) > .form-check-innerBox {
    background-color: rgb(230, 230, 230);
}

.choice {
    pointer-events: initial;
    margin-left: 45px;
    padding: 0;
    font-size: 0.8vw;
    color: #414141;
    border: 1px rgba(10, 10, 10, 0.7) solid;
    background-color: white;
    width: 12vw;
    height: 30px;
}

.choice:hover {
    background-color: #dddddd;
    white-space: pre-wrap;
}

::-webkit-scrollbar {
    width: 15px;
}

::-webkit-scrollbar-track {
    background-color: #2c2c2c;
    box-shadow: inset 0 0 7px black;
    border: 2px solid #383838;
    border-radius: 5px;
}

::-webkit-scrollbar-thumb {
    background-color: rgb(75, 75, 75, 0.4);
    border: 2px solid #525252;
    border-radius: 5px;
}

::-webkit-scrollbar-thumb:hover {
    background-color: rgb(75, 75, 75, 0.6);
}